Bug 890806 - Review Request: perl-XML-SAX-ExpatXS - Perl SAX 2 XS extension to Expat parser
Review Request: perl-XML-SAX-ExpatXS - Perl SAX 2 XS extension to Expat parser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
: 244484 (view as bug list)
Depends On:
Blocks: 244485 890839
  Show dependency treegraph
 
Reported: 2012-12-30 05:05 EST by Miro Hrončok
Modified: 2013-01-12 10:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+


Attachments (Terms of Use)
Register/unregister XML::SAX parser properly (894 bytes, patch)
2012-12-31 02:53 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Miro Hrončok 2012-12-30 05:05:54 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-XML-SAX-ExpatXS.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-XML-SAX-ExpatXS-1.33-3.fc17.src.rpm

Description:
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface. See http://perl-xml.sourceforge.net/perl-
sax/ for Perl SAX API description. Any deviations from the Perl SAX 2.1
specification are considered as bugs.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-12-30 05:07:19 EST
*** Bug 244484 has been marked as a duplicate of this bug. ***
Comment 2 Michael Scherer 2012-12-30 07:04:02 EST
The package is good, there is just one single issue , you should ask upstream to ship the license, but that's not blocking. So the package is approved.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "Perl". 2 files have unknown license. Detailed
     output of licensecheck in /home/misc/checkout/git/FedoraReview/890806
     -perl-XML-SAX-ExpatXS/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-XML-SAX-ExpatXS-1.33-3.fc19.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-XML-SAX-ExpatXS
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-XML-SAX-ExpatXS (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libexpat.so.1()(64bit)
    perl
    perl(:MODULE_COMPAT_5.16.2)
    perl(Carp)
    perl(DynaLoader)
    perl(IO::File)
    perl(XML::SAX)
    perl(XML::SAX::Base)
    perl(XML::SAX::ExpatXS)
    perl(XML::SAX::ExpatXS::Encoding)
    perl(XML::SAX::ExpatXS::Preload)
    perl(overload)
    perl(strict)
    perl(vars)
    rtld(GNU_HASH)



Provides
--------
perl-XML-SAX-ExpatXS:
    perl(XML::SAX::ExpatXS)
    perl(XML::SAX::ExpatXS::ContentModel)
    perl(XML::SAX::ExpatXS::Encinfo)
    perl(XML::SAX::ExpatXS::Encoding)
    perl(XML::SAX::ExpatXS::Preload)
    perl-XML-SAX-ExpatXS
    perl-XML-SAX-ExpatXS(x86-64)



Unversioned so-files
--------------------
perl-XML-SAX-ExpatXS: /usr/lib64/perl5/vendor_perl/auto/XML/SAX/ExpatXS/ExpatXS.so

MD5-sum check
-------------
http://www.cpan.org/authors/id/P/PC/PCIMPRICH/XML-SAX-ExpatXS-1.33.tar.gz :
  CHECKSUM(SHA256) this package     : 1e3db191853d235c42c7d2a5dc2ea055158ff29c7d54c5c673d271cdbd43bc6a
  CHECKSUM(SHA256) upstream package : 1e3db191853d235c42c7d2a5dc2ea055158ff29c7d54c5c673d271cdbd43bc6a


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -b 890806
Comment 3 Miro Hrončok 2012-12-30 07:58:30 EST
New Package SCM Request
=======================
Package Name: perl-XML-SAX-ExpatXS
Short Description: Perl SAX 2 XS extension to Expat parser
Owners: churchyard
Branches: f17 f18
Comment 4 Miro Hrončok 2012-12-30 08:05:34 EST
Thanks for the review. I've asked upstream for the LICENSE file.
Comment 5 Kevin Fenzi 2012-12-30 16:03:12 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-30 17:24:54 EST
perl-XML-SAX-ExpatXS-1.33-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-XML-SAX-ExpatXS-1.33-3.fc17
Comment 7 Fedora Update System 2012-12-30 17:25:46 EST
perl-XML-SAX-ExpatXS-1.33-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-XML-SAX-ExpatXS-1.33-3.fc18
Comment 8 Ville Skyttä 2012-12-31 02:53:55 EST
Created attachment 670690 [details]
Register/unregister XML::SAX parser properly

Just like in bug 244484 comment 1, XML::SAX parser registration/unregistration is missing; see perl-XML-SAX and perl-XML-LibXML for examples.

Fix attached, along with a fix to *not* alter ParserDetails.ini (i.e. do the XML::SAX registration) in the build root - doing that there makes no sense, it needs to be done at install time.
Comment 9 Miro Hrončok 2012-12-31 03:29:48 EST
Thanks, I revoked the updates.
Comment 10 Fedora Update System 2012-12-31 04:27:33 EST
perl-XML-SAX-ExpatXS-1.33-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-XML-SAX-ExpatXS-1.33-4.fc18
Comment 11 Fedora Update System 2012-12-31 04:28:25 EST
perl-XML-SAX-ExpatXS-1.33-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-XML-SAX-ExpatXS-1.33-4.fc17
Comment 12 Fedora Update System 2012-12-31 19:15:18 EST
perl-XML-SAX-ExpatXS-1.33-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Petr Šabata 2013-01-02 04:42:32 EST
Package Change Request
======================
Package Name: perl-XML-SAX-ExpatXS
Branches: f17 f18
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 14 Jon Ciesla 2013-01-02 09:45:37 EST
Complete.
Comment 15 Fedora Update System 2013-01-11 18:45:04 EST
perl-XML-SAX-ExpatXS-1.33-4.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-01-12 10:18:45 EST
perl-XML-SAX-ExpatXS-1.33-4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.